APIReposts

Get Repost Configurations

Retrieve all configured automatic reposting rules. When you post to a 'from' platform, the content will be automatically reposted to all 'to' platforms.

GET
/reposts

Retrieve all configured automatic reposting rules. When you post to a 'from' platform, the content will be automatically reposted to all 'to' platforms.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/reposts"
{  "success": true,  "data": [    {      "id": "507f1f77bcf86cd799439011",      "from": {        "platform": "TikTok",        "usernameImage": "profile.jpg",        "username": "sourceuser",        "status": "CONNECTED",        "displayName": "Source User"      },      "to": [        {          "platform": "Instagram",          "usernameImage": "profile.jpg",          "username": "destuser",          "status": "CONNECTED",          "displayName": "Dest User"        }      ],      "date": "2026-02-19T10:00:00.000Z",      "isPaused": false    }  ]}
{  "success": false}
{  "success": false}